// Saves options to chrome.storage.sync.
function save_options() {
  var serwer = document.getElementById('serwer').value;  
  var newTab = document.getElementById('newTab').checked;  
  chrome.storage.sync.set({
    server: serwer,
    newTab: newTab
  }, function() {
    // Update status to let user know options were saved.
    var status = document.getElementById('status');
    status.textContent = 'Zapisano zmiany';
    setTimeout(function() {
      status.textContent = '';
    }, 750);
  });
}

// Restores select box and checkbox state using the preferences
// stored in chrome.storage.
function restore_options() {
  // Use default value color = 'red' and likesColor = true.
  chrome.storage.sync.get({
    server: 'pl',
    newTab: true
  }, function(items) {
    document.getElementById('serwer').value = items. server;
    document.getElementById('newTab').checked = items.newTab;
  });
}
document.addEventListener('DOMContentLoaded', restore_options);
document.getElementById('save').addEventListener('click',
    save_options);